> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmembrane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh data collection specification



## OpenAPI

````yaml /api-reference/membrane-api.json post /connections/{id}/data/{dataCollectionKey}/refresh
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /connections/{id}/data/{dataCollectionKey}/refresh:
    post:
      tags:
        - DataCollections
      summary: Refresh data collection specification
      operationId: refreshConnectionDataCollection
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: dataCollectionKey
          required: true
          in: path
          schema:
            type: string
        - name: collectionParams
          required: false
          in: query
          description: Data Collection parameters
          style: form
          explode: true
          schema:
            type: object
            additionalProperties:
              type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataCollectionSpecDto'
components:
  schemas:
    DataCollectionSpecDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - collection
        key:
          type: string
        name:
          type: string
        parametersSchema:
          $ref: '#/components/schemas/DataCollectionSpecDto__schema0'
        fieldsSchema:
          $ref: '#/components/schemas/DataCollectionSpecDto__schema0'
        list:
          type: object
          properties:
            apiRequests:
              type: array
              items:
                type: object
                properties:
                  path:
                    type: object
                  method:
                    type: object
                required:
                  - path
                  - method
            filterFields:
              type: array
              items:
                type: string
        search:
          type: object
          properties:
            apiRequests:
              type: array
              items:
                type: object
                properties:
                  path:
                    type: object
                  method:
                    type: object
                required:
                  - path
                  - method
        match:
          type: object
          properties:
            apiRequests:
              type: array
              items:
                type: object
                properties:
                  path:
                    type: object
                  method:
                    type: object
                required:
                  - path
                  - method
            fields:
              type: array
              items:
                type: string
        findById:
          type: object
          properties:
            apiRequests:
              type: array
              items:
                type: object
                properties:
                  path:
                    type: object
                  method:
                    type: object
                required:
                  - path
                  - method
        create:
          type: object
          properties:
            apiRequests:
              type: array
              items:
                type: object
                properties:
                  path:
                    type: object
                  method:
                    type: object
                required:
                  - path
                  - method
            fields:
              type: array
              items:
                type: string
            requiredFields:
              type: array
              items:
                type: string
            excludedFields:
              type: array
              items:
                type: string
        update:
          type: object
          properties:
            apiRequests:
              type: array
              items:
                type: object
                properties:
                  path:
                    type: object
                  method:
                    type: object
                required:
                  - path
                  - method
            fields:
              type: array
              items:
                type: string
            excludedFields:
              type: array
              items:
                type: string
        delete:
          type: object
          properties:
            apiRequests:
              type: array
              items:
                type: object
                properties:
                  path:
                    type: object
                  method:
                    type: object
                required:
                  - path
                  - method
        events:
          type: object
          properties:
            created:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - push
                    - pull
                isFullScan:
                  type: boolean
                isIdOnly:
                  type: boolean
              required:
                - type
            updated:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - push
                    - pull
                isFullScan:
                  type: boolean
                isIdOnly:
                  type: boolean
              required:
                - type
            deleted:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - push
                    - pull
                isFullScan:
                  type: boolean
                isIdOnly:
                  type: boolean
              required:
                - type
            all:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - push
                    - pull
                isFullScan:
                  type: boolean
                isIdOnly:
                  type: boolean
              required:
                - type
          additionalProperties:
            type: object
            properties:
              type:
                type: string
                enum:
                  - push
                  - pull
              isFullScan:
                type: boolean
              isIdOnly:
                type: boolean
            required:
              - type
        customFields:
          type: boolean
        udm:
          type: object
          additionalProperties:
            type: object
            properties:
              fields:
                type: array
                items:
                  type: string
              extract:
                type: object
                additionalProperties:
                  type: object
              parse:
                type: object
                additionalProperties:
                  type: object
        find:
          type: object
          properties:
            apiRequests:
              type: array
              items:
                type: object
                properties:
                  path:
                    type: object
                  method:
                    type: object
                required:
                  - path
                  - method
            queryFields:
              type: array
              items:
                type: string
      required:
        - type
        - name
    DataCollectionSpecDto__schema0:
      type: object
      properties:
        $ref: 4f6a9382-db56-4bbc-8633-f77bad85ebef
        title:
          type: string
        description:
          type: string
        type:
          anyOf:
            - type: string
            - type: array
              items:
                type: string
        format:
          type: string
        properties:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/DataCollectionSpecDto__schema0'
        items:
          $ref: '#/components/schemas/DataCollectionSpecDto__schema0'
        additionalProperties:
          anyOf:
            - type: boolean
            - $ref: '#/components/schemas/DataCollectionSpecDto__schema0'
        enum:
          type: array
          items:
            anyOf:
              - type: string
              - type: number
        referenceRecords:
          type: array
          items:
            type: object
        referenceCollection:
          type: object
          properties:
            key:
              type: object
            parameters:
              type: object
              additionalProperties:
                type: object
        referenceUdm:
          type: string
        default:
          type: object
        allowCustom:
          type: boolean
        required:
          type: array
          items:
            type: string
        minLength:
          type: number
        maxLength:
          type: number
        minimum:
          type: number
        maximum:
          type: number
        maxItems:
          type: number
        readOnly:
          type: boolean
        writeOnly:
          type: boolean
        examples:
          type: array
          items:
            type: object
        anyOf:
          type: array
          items:
            $ref: '#/components/schemas/DataCollectionSpecDto__schema0'
        isImplied:
          type: boolean
        isSensitive:
          type: boolean
        referenceCollectionPath:
          type: string
        referenceCollectionUri:
          type: string
      additionalProperties:
        type: object
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````